# Configure the NanoRpc library.
class NanoConfiguration
    @@client = nil

    # Set the client used to make requests.
    # +new_client+:: The new client, which should be an instance of +NanoRpcClient+.
    def self.client=(new_client)
        @@client = new_client
    end

    # Get the client used to make requests.
    def self.client
        throw "Set NanoConfiguration.client before making RPC calls" if @@client == nil
        @@client
    end
end